#
# spec file for package ffnvcodec
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ffnvcodec
Version:        12.2.72.0
Release:        1.1
Summary:        FFmpeg version of NVIDIA codec API headers
License:        MIT
Group:          Development/Libraries/C and C++
URL:            https://git.videolan.org/?p=ffmpeg/nv-codec-headers.git
Source:         nv-codec-headers-%{version}.tar.xz
BuildRequires:  pkgconfig

%description
This package contains the headers required for FFmpeg to interface
with NVIDIA codec APIs.

%package -n %{name}-devel
Summary:        FFmpeg version of NVIDIA codec API headers
Group:          Development/Libraries/C and C++

%description -n %{name}-devel
This package contains the headers required for FFmpeg to interface
with NVIDIA codec APIs.

%prep
%setup -q -n nv-codec-headers-%{version}

%build

%install
make PREFIX=%{_prefix} LIBDIR=%{_lib} DESTDIR=%{buildroot} install

%files -n %{name}-devel
%doc README
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sun Nov  3 2024 mrueckert@suse.de
- Update to version 12.2.72.0:
  * Update headers from Video SDK 12.2
  * Bump for (in-dev) 12.1.14.1
  * Add cuCtxGetCurrent function
  * Add cuDriverGetVersion
  * Update headers from Video SDK 12.1
* Mon Oct 30 2023 bjorn.lie@gmail.com
- Update to version 12.0.16.1:
  * Add cuCtxGetCurrent function
  * Add cuDriverGetVersion
  * Add missing cuStreamWaitEvent function
  * Add functions to identify devices in more ways
  * Add cuArrayCreate
  * Update README
  * Remove AV1 High Profile GUID
  * Update for final release of Video Codec SDK 12.0.16
  * Add missing SDK 12.0 bits
* Mon Oct 30 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 11.1.5.3:
  * Add cuCtxGetCurrent function
  * Add cuDriverGetVersion
  * Add missing cuStreamWaitEvent function
  * Add functions to identify devices in more ways
  * Add cuArrayCreate
* Wed Apr 26 2023 Carsten Ziepke <kieltux@gmail.com>
- Update to version 11.1.5.2:
  * Add D3D11 interop functions
  * Fix codestyle
* Mon Jan 24 2022 malcolmlewis@opensuse.org
- Update to version 11.1.5.1:
  * Update forgotten version number in README.
  * Add a subset of CUDA EGLStreams interop API.
  * Add CU_EXTERNAL_SEMAPHORE_HANDLE_TYPE_TIMELINE_SEMAPHOR.
  * Add timeline semaphore type.
* Fri Oct 29 2021 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 11.1.5.0:
  * Update headers from Video SDK 11.1
* Sun Nov 22 2020 Mia Herkt <mia@0x0.st>
- Update to 11.0.10.0:
  * Update headers from Video SDK 11.0
* Sun Oct 11 2020 Mia Herkt <mia@0x0.st>
- Update to 10.0.26.1:
  * Add linker functions and types
  * Fix CUdeviceptr definition for ARM64 CPU
* Tue Jul  7 2020 Mia Herkt <mia@0x0.st>
- Update to 10.0.26.0:
  * Update headers from Video SDK 10.0
* Wed May  6 2020 Martin Pluskal <mpluskal@suse.com>
- Update to version 9.1.23.1:
  * Add primary context management functions
* Tue Nov 26 2019 Martin Herkt <9+suse@cirno.systems>
- Update to version 9.1.23.0
  * Add cuCtxGetDevice
  * Use pointer-to-struct typedefs for pointer-to-struct types
  * Update headers from Video SDK 9.1 release
* Mon Jun 17 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 9.0.18.1
  * Fix CUdeviceptr definition for 64bit CPU
- Changes from version 9.0.18.0
  * Initial release for SDK 9.0
* Sat Feb 23 2019 Martin Herkt <9+suse@cirno.systems>
- Update to version 8.2.15.7
  * Add cuMipmappedArrayDestroy
* Wed Dec  5 2018 Martin Herkt <9+suse@cirno.systems>
- Update to version 8.2.15.6
  * CUDA 10: Add external semaphore API
  * Add a subset of CUDA kernel interaction API
  * Add CUDA function cuMemAllocPitch
* Tue Nov  6 2018 Martin Herkt <9+suse@cirno.systems>
- Update to version 8.2.15.5
  * Add CUDA function cuDeviceGetAttribute V2
  * Guard against multiple definitions of CUuuid
  * Add cuGetDeviceUuid, load as optional function
* Sun Oct  7 2018 Martin Herkt <9+suse@cirno.systems>
- Update to version 8.2.15.1
  * Update for CUDA 10
    This adds support for the CUDA/Vulkan interop API, which
    requires very new driver versions. As such, we allow the
    symbols to be optionally loaded.
* Fri Jun 29 2018 9+suse@cirno.systems
- Update to version 8.1.24.2
  * SDK 8.1
* Fri Jun 29 2018 9+suse@cirno.systems
- Init, 8.0.14.2
